import { EventEmitter, OnInit } from '@angular/core';
import { TypographyType } from '../typography/TypographyType';
import * as i0 from "@angular/core";
export declare class ButtonComponent implements OnInit {
    constructor();
    ngOnInit(): void;
    size: 'small' | 'medium' | 'large';
    rounded: 'small' | 'medium' | 'large' | 'full' | 'none';
    fillMode: 'solid' | 'flat' | 'outline' | 'clear' | 'link' | 'none';
    themeColor: 'base' | 'primary' | 'secondary' | 'tertiary' | 'info' | 'success' | 'warning' | 'error' | 'dark' | 'light' | 'inverse';
    label: string;
    iconName: string;
    disabled: boolean;
    toggleable: boolean;
    iconPosition: string;
    fontType: TypographyType;
    width: string;
    buttonClick: EventEmitter<any>;
    onButtonClick(e: any): void;
    button_size(): "small-btn" | "medium-btn" | "large-btn";
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "lib-button", never, { "size": { "alias": "size"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "fillMode": { "alias": "fillMode"; "required": false; }; "themeColor": { "alias": "themeColor"; "required": false; }; "label": { "alias": "label"; "required": false; }; "iconName": { "alias": "iconName"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "toggleable": { "alias": "toggleable"; "required": false; }; "iconPosition": { "alias": "iconPosition"; "required": false; }; "fontType": { "alias": "fontType"; "required": false; }; "width": { "alias": "width"; "required": false; }; }, { "buttonClick": "buttonClick"; }, never, never, false, never>;
}
