import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { CheckBoxRounded, InputSize } from '@progress/kendo-angular-inputs';
import * as i0 from "@angular/core";
export declare class CheckboxComponent implements OnInit {
    control: FormControl;
    id: string;
    size: InputSize;
    rounded: CheckBoxRounded;
    label: string;
    labelPosition: 'before' | 'after';
    modelChange: EventEmitter<Boolean>;
    constructor();
    ngOnInit(): void;
    emitValueChange(ev: Boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxComponent, "lib-checkbox", never, { "control": { "alias": "control"; "required": false; }; "id": { "alias": "id"; "required": false; }; "size": { "alias": "size"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "label": { "alias": "label"; "required": false; }; "labelPosition": { "alias": "labelPosition"; "required": false; }; }, { "modelChange": "modelChange"; }, never, never, false, never>;
}
