import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { TypographyType } from '../typography/TypographyType';
import * as i0 from "@angular/core";
export declare class DropdownComponent implements OnInit, OnChanges {
    id: string;
    label: string;
    data: Array<any>;
    isDisabled: boolean;
    clearButton: boolean;
    fillMode: "flat" | "solid" | "outline" | "none";
    filterable: boolean;
    placeholder: string;
    readonly: boolean;
    rounded: "small" | "medium" | "large" | "full" | "none";
    size: "small" | "medium" | "large" | "none";
    suggest: boolean;
    textField: string;
    value: any;
    valueField: string;
    valuePrimitive: boolean;
    model: any;
    modelChange: EventEmitter<any>;
    control: FormControl;
    fontType: TypographyType;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    emitModelChange(ev: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownComponent, "lib-dropdown", never, { "id": { "alias": "id"; "required": false; }; "label": { "alias": "label"; "required": false; }; "data": { "alias": "data"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "clearButton": { "alias": "clearButton"; "required": false; }; "fillMode": { "alias": "fillMode"; "required": false; }; "filterable": { "alias": "filterable"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "size": { "alias": "size"; "required": false; }; "suggest": { "alias": "suggest"; "required": false; }; "textField": { "alias": "textField"; "required": false; }; "value": { "alias": "value"; "required": false; }; "valueField": { "alias": "valueField"; "required": false; }; "valuePrimitive": { "alias": "valuePrimitive"; "required": false; }; "model": { "alias": "model"; "required": false; }; "control": { "alias": "control"; "required": false; }; "fontType": { "alias": "fontType"; "required": false; }; }, { "modelChange": "modelChange"; }, never, ["header"], false, never>;
}
