import { EventEmitter, AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { TextBoxComponent } from '@progress/kendo-angular-inputs';
import * as i0 from "@angular/core";
export declare class TextboxComponent implements AfterViewInit, OnChanges {
    textbox: TextBoxComponent;
    showPassword: boolean;
    showEyeIcon: boolean;
    clearButton: boolean;
    placeholder: string;
    width: string;
    isDisabled: boolean;
    readonly: boolean;
    size: "small" | "medium" | "large";
    rounded: "small" | "medium" | "large" | "full" | "none";
    fillMode: "solid" | "flat" | "outline" | "none";
    control: FormControl;
    value: string;
    type: string;
    inputChange: EventEmitter<String>;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    toggleVisibility(): void;
    emitValueChange(ev: String): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextboxComponent, "lib-textbox", never, { "showEyeIcon": { "alias": "showEyeIcon"; "required": false; }; "clearButton": { "alias": "clearButton"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "width": { "alias": "width"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "size": { "alias": "size"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "fillMode": { "alias": "fillMode"; "required": false; }; "control": { "alias": "control"; "required": false; }; "value": { "alias": "value"; "required": false; }; "type": { "alias": "type"; "required": false; }; }, { "inputChange": "inputChange"; }, never, never, false, never>;
}
